Package org.zkoss.zk.ui.http

## Class SerializableSession

- java.lang.Object
- - org.zkoss.zk.ui.http.SimpleSession
  - - org.zkoss.zk.ui.http.SerializableSession

- All Implemented Interfaces:
    `java.io.Serializable`, `java.util.EventListener`, `javax.servlet.http.HttpSessionActivationListener`, `Scope`, `Session`, `SessionCtrl`

      public class SerializableSession
      extends SimpleSession
      implements javax.servlet.http.HttpSessionActivationListener, java.io.Serializable

  Serializable `Session`.
  Author:
    tomyeh
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SerializableSession​(WebApp wapp, java.lang.Object hsess, java.lang.Object request)` | Constructs a ZK session with either a HTTP session or a Portlet session.
    `SerializableSession​(WebApp wapp, javax.servlet.http.HttpSession hsess, java.lang.Object request)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `sessionDidActivate​(javax.servlet.http.HttpSessionEvent se)` |
    `void` | `sessionWillPassivate​(javax.servlet.http.HttpSessionEvent se)` |

    - ### Methods inherited from class org.zkoss.zk.ui.http.SimpleSession

      `addScopeListener, getAttribute, getAttribute, getAttributes, getDesktopCache, getDeviceType, getMaxInactiveInterval, getNativeSession, getWebApp, hasAttribute, hasAttribute, invalidate, invalidateNow, isInvalidated, notifyClientRequest, onDestroyed, readThis, recover, removeAttribute, removeAttribute, removeScopeListener, sessionDidActivate, sessionWillPassivate, setAttribute, setAttribute, setDesktopCache, setDeviceType, setMaxInactiveInterval, writeThis`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SerializableSession

          public SerializableSession​(WebApp wapp,
                                     javax.servlet.http.HttpSession hsess,
                                     java.lang.Object request)

      Constructor.
      Parameters:
        `request` - the original request causing this session to be created. If HTTP and servlet, it is javax.servlet.http.HttpServletRequest. If portlet, it is javax.portlet.RenderRequest.
      Since:
        3.0.1

    - #### SerializableSession

          public SerializableSession​(WebApp wapp,
                                     java.lang.Object hsess,
                                     java.lang.Object request)

      Constructs a ZK session with either a HTTP session or a Portlet session.
      Parameters:
        `hsess` - the original session, either an instance of HttpSession or PortletSession. Notice: we don't declare PortletSession in API to avoid this class failed to be loaded in some system (without portlet-api.jar)
        `request` - the original request causing this session to be created. If portlet, it is javax.portlet.RenderRequest.
      Since:
        6.0.3

  - ### Method Detail

    - #### sessionWillPassivate

          public void sessionWillPassivate​(javax.servlet.http.HttpSessionEvent se)

      Specified by:
        `sessionWillPassivate` in interface `javax.servlet.http.HttpSessionActivationListener`

    - #### sessionDidActivate

          public void sessionDidActivate​(javax.servlet.http.HttpSessionEvent se)

      Specified by:
        `sessionDidActivate` in interface `javax.servlet.http.HttpSessionActivationListener`